> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a collection

> Use the Bright Data Marketplace API to request a collection. triggers a marketplace dataset collection and returns 200 OK with JSON status.

**Endpoint:** `POST` `/datasets/request_collection`

The initial step to define what data you want to collect. This is used when specifying the parameters for a new dataset collection like defining the dataset ID and type or when discovering new data or specifying URL collections.

## Query Parameters

<ParamField query="dataset_id" type="string" required>
  Dataset ID
</ParamField>

<ParamField query="type" type="string" required>
  | value            | description |
  | ---------------- | ----------- |
  | `discover_new`   |             |
  | `url_collection` |             |
</ParamField>

## `POST` body

<ParamField body="inputs" type="array" required>
  Array - json

  ```json Body Example theme={null}
  [
    {
      "url":"https://www.linkedin.com/company/sendle/"
    },
    {
      "url":"https://www.linkedin.com/company/stallionexpress/"
    },
    {
      "url":"https://www.linkedin.com/company/595711"
    }
  ]
  ```
</ParamField>

<ParamField body="file" type="array" required>
  multipart - csv
</ParamField>

<RequestExample>
  ```sh theme={null}
  curl -k "https://api.brightdata.com/datasets/request_collection?dataset_id=gd_l1vikfnt1wgvvqz95w&type=url_collection" -H "Authorization: Bearer API_KEY" -H "Content-Type: application/json" -d '[{"id":"user-id"}]'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "request_id": "j_lsu5sdup1ggkc5umby"
  }
  ```
</ResponseExample>
